package com.nisum.order_consumer.repository;

import com.nisum.order_consumer.entity.Order;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import reactor.core.publisher.Mono;


public interface OrderConsumerRepository extends ReactiveMongoRepository<Order,String>{
    Mono<Long> countByCustomerId(String customerId);
    Mono<Order> findByOrderId(String orderId);
}
